## felix-latin 2.0

=== TeX/Makefile ===
#!/bin/bash
tout:
	xelatex felix34.tex
	convert -density 150 felix34.pdf help.tif
	mv help.tif ..
clean:
	rm *.aux *.log *.pdf

=== debian/changelog ===
felix-latin (2.0-7) unstable; urgency=low

  * added a dependency on fonts-linuxlibertine; Closes: #724624

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 28 Sep 2013 18:27:55 +0200

felix-latin (2.0-6) unstable; urgency=low

  * added a build-dependency on texlive-lang-french. Closes: #712369
  * upgraded Standards-Version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2013 11:04:43 +0200

felix-latin (2.0-5) unstable; urgency=low

  * included Justin B Rye's patch. Closes:#696029
  * changed my DEBEMAIL

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Jan 2013 13:27:42 +0100

felix-latin (2.0-4) unstable; urgency=low

  * added a build-dependency on tipa. Closes: #666366
  * removed the build-dependency on Imagemagick by invoking 'gs' directly

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 11 Apr 2012 16:14:38 +0000

felix-latin (2.0-3) unstable; urgency=low

  * added a dependency on djvulibre-bin. Closes: #618715

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 19 Mar 2011 09:42:42 +0100

felix-latin (2.0-2) unstable; urgency=low

  * applied Artur Rona's patch, which allows a compilation with gcc 4.5

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 27 Nov 2010 14:02:32 +0100

felix-latin (2.0-1) unstable; urgency=low

  * upgraded to the upstream version 2.0, which uses directly the
    djvu file of the dictionary, thus saving about 80 MB.
  * fixed a dependency bug. Closes: #603817

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 08 Sep 2010 18:32:16 +0200

felix-latin (1.0-1) unstable; urgency=low

  * Initial release (Closes: #595656)
  * modified felix.pro
  * written a short manpage
  * changed the path to the data inside gafio.cpp
  * added a limitation for scaleFactor'range inside gafio.cpp
  * added an icon and a .desktop file

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 01 Sep 2010 23:17:05 +0200

=== debian/control ===
Source: felix-latin
Section: misc
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 7.0.50~), qt4-qmake, libqt4-dev,
 xsltproc,  docbook-xsl,
 texlive-xetex, texlive-latex-recommended, texlive-lang-french,
 lmodern, tipa, fonts-linuxlibertine, ghostscript
Standards-Version: 3.9.4
Homepage: http://home.gna.org/felix/

Package: felix-latin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, felix-latin-data, djvulibre-bin
Description: Félix Gaffiot's Latin-French dictionary - viewer
 Félix Gaffiot (1870-1937) was a philologist, a teacher of French, and the
 author of a Latin-French reference dictionary.
 .
 This package provides "felix", a graphical interface for searching the
 dictionary. Entering a Latin word opens the corresponding page in the
 form of a scanned image that can be zoomed and panned over.

Package: felix-latin-data
Architecture: all
Depends: ${misc:Depends}
Description: Félix Gaffiot's Latin-French dictionary - data
 Félix Gaffiot (1870-1937) was a philologist, a teacher of French, and the
 author of a Latin-French reference dictionary.
 .
 This package provides the dictionary pages (in scanned image form) for
 use with the package felix-latin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	qmake

override_dh_auto_build:
	make all
	./mkhelp
	./mkmanpage

override_dh_auto_clean:
	./distclean
	dh_clean

## felix-latin 2.1

=== debian/changelog ===
felix-latin (2.1-1) unstable; urgency=medium

  * New upstream version 2.1, with debian patches applied.
    removed debian patches.
  * the upstream version fortifies the build. Closes: #1119413
  * added salsa CI stuff

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 30 Oct 2025 13:49:09 +0100

felix-latin (2.0-14) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + felix-latin-data: Add Multi-Arch: foreign.

  [Georges Khaznadar]
  * bumped Standards-Version: 4.6.2

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:06:20 +0100

felix-latin (2.0-13) unstable; urgency=medium

  * bumped Standards-Version: 4.6.0, debhelper-compat
  * patched felix34.tex to comply with current features of xelatex

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Feb 2022 19:44:41 +0100

felix-latin (2.0-12) unstable; urgency=medium

  * modified TeX/Makefile to launch xetex in batch mode, and ignore errors
    Closes: #980693

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Jan 2021 20:01:22 +0100

felix-latin (2.0-11) unstable; urgency=medium

  * added VCS information; upgraded Standards-Version;
  * added a dependency to qt5-image-formats-plugins; Closes: #905662

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 08 Aug 2018 10:10:12 +0200

felix-latin (2.0-10) unstable; urgency=medium

  * modified a Makefile, added the switch -dTIFFDateTime=false to
    ensure reproducible builds. 

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Apr 2018 14:32:27 +0200

felix-latin (2.0-9) unstable; urgency=medium

  * migrated from Qt4 to Qt5. Closes: #874881
  * updated: Standards-Version to 4.1.4, dh to 10

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 22 Apr 2018 16:18:12 +0200

felix-latin (2.0-8) unstable; urgency=medium

  * fixed a line in TeX/Makefile
  * upgraded compat to 9, Standards-Version to 3.9.6
  * fixed Ligatures={...} in TeX/felix34.tex. Closes: #814931

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 Feb 2016 09:44:16 +0100

## felix-latin 2.2

=== TeX/Makefile ===
#!/bin/bash
tout:
	xelatex felix34.tex
	#convert -density 150 felix34.pdf help.tif
	gs -q -dNOPAUSE -r180 -sDEVICE=tiff24nc -sOutputFile=help.tif -dTIFFDateTime=false felix34.pdf -c quit
	mv help.tif ..
clean:
	rm -f *.aux *.log *.pdf

=== debian/changelog ===
felix-latin (2.2-1) unstable; urgency=medium

  * New upstream version: 2.2. Closes: #1119694

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 31 Oct 2025 20:42:06 +0100

felix-latin (2.1-2) UNRELEASED; urgency=medium

  * simplified felix.pro and debian/rules, thanks to Adrian Bunk!
    Closes: #1119694

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 31 Oct 2025 07:56:58 +0100

=== debian/control ===
Source: felix-latin
Section: misc
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (=13),
 qtbase5-dev,
 qt5-qmake,
 qtbase5-dev,
 qtbase5-dev-tools,
 qttools5-dev,
 xsltproc,
 docbook-xsl,
 texlive-xetex,
 texlive-latex-recommended,
 texlive-lang-french,
 lmodern,
 tipa,
 fonts-linuxlibertine,
 ghostscript
Standards-Version: 4.6.2
Homepage: https://home.gna.org/felix/
Vcs-Browser: https://salsa.debian.org/georgesk/felix-latin
Vcs-Git: https://salsa.debian.org/georgesk/felix-latin.git

Package: felix-latin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, felix-latin-data, djvulibre-bin,
 qt5-image-formats-plugins
Description: Félix Gaffiot's Latin-French dictionary - viewer
 Félix Gaffiot (1870-1937) was a philologist, a teacher of French, and the
 author of a Latin-French reference dictionary.
 .
 This package provides "felix", a graphical interface for searching the
 dictionary. Entering a Latin word opens the corresponding page in the
 form of a scanned image that can be zoomed and panned over.

Package: felix-latin-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Félix Gaffiot's Latin-French dictionary - data
 Félix Gaffiot (1870-1937) was a philologist, a teacher of French, and the
 author of a Latin-French reference dictionary.
 .
 This package provides the dictionary pages (in scanned image form) for
 use with the package felix-latin.

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 %:
 	dh $@ 
 
-override_dh_auto_configure:
-	qmake
-
 override_dh_auto_build:
 	make all
 	./mkhelp
